This is a Laravel 5 package that provides data_table management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `developer/data_table`.

    "developer/data_table": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Developer\DataTable\Providers\DataTableServiceProvider::class,

```

And also add it to alias

```php
'DataTable'  => Developer\DataTable\Facades\DataTable::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Developer\DataTable\Providers\DataTableServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Developer\DataTable\Providers\DataTableServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Developer\DataTable\Providers\DataTableServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Developer\DataTable\Providers\DataTableServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Developer\DataTable\Providers\DataTableServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Developer\DataTable\Providers\DataTableServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


