<?php

// Admin routes for ex
Route::group(['prefix' => trans_setlocale().'/admin/data_table', 'middleware' => ['web', 'auth.role:admin']], function () {
    Route::resource('ex', 'Developer\DataTable\Http\Controllers\ExAdminController');
});

// User routes for ex
Route::group(['prefix' => trans_setlocale().'/user/data_table', 'middleware' => ['web', 'auth.role:user']], function () {
    Route::resource('ex', 'Developer\DataTable\Http\Controllers\ExUserController');
});

// Public routes for ex
Route::group(['prefix' => trans_setlocale(), 'middleware' => ['web']], function () {
    Route::get('data_table/ex', 'Developer\DataTable\Http\Controllers\ExPublicController@index');
    Route::get('data_table/ex/{slug?}', 'Developer\DataTable\Http\Controllers\ExPublicController@show');
});
