<?php

namespace Developer\DataTable\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ExListTransformer extends TransformerAbstract
{
    public function transform(\Developer\DataTable\Models\Ex $ex)
    {
        return [
            'id'                => $ex->getRouteKey(),
            'Full_Name'         => $ex->Full_Name,
            'Gender'            => $ex->Gender,
            'DOB'               => $ex->DOB,
        ];
    }
}