<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'developer',

    /*
     * Package.
     */
    'package'   => 'data_table',

    /*
     * Modules.
     */
    'modules'   => ['ex'],


    'ex'       => [
        'model'             => 'Developer\DataTable\Models\Ex',
        'table'             => 'exes',
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'Full_Name',  'Gender',  'DOB'],
        'translatable'      => ['Full_Name',  'Gender',  'DOB'],

        'upload-folder'     => '/uploads/data_table/ex',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
