<?php

namespace Developer\DataTable\Repositories\Eloquent;

use Developer\DataTable\Interfaces\ExRepositoryInterface;
use Litepie\Database\Eloquent\BaseRepository;

class ExRepository extends BaseRepository implements ExRepositoryInterface
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'name'  => 'like'
    ];

    public function boot()
    {
        $this->pushCriteria(app('Litepie\Database\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('package.data_table.ex.model');
    }
}
